<analysis file_format_version="0.4" >
  <module name="In"  type="File Input"  isEnabled="true" >
    <option name="start"  type="long" >
0    </option>
    <option name="end"  type="long" >
-1    </option>
    <option name="File names"  type="string_vector" >
<![CDATA[("zmumu_mc_10.pxlio")]]>    </option>
    <userrecords>
      <entry name="xPos"  type="double" >
43      </entry>
      <entry name="yPos"  type="double" >
60      </entry>
    </userrecords>
  </module>
  <module name="Out"  type="File Output"  isEnabled="true" >
    <option name="filename"  type="string" >
<![CDATA[zmumu_mc_10_sorted.pxlio]]>    </option>
    <option name="Buffer size"  type="long" >
1048576    </option>
    <option name="# Objects/file section"  type="long" >
1000    </option>
    <option name="Compression level"  type="long" >
6    </option>
    <userrecords>
      <entry name="xPos"  type="double" >
371      </entry>
      <entry name="yPos"  type="double" >
79      </entry>
    </userrecords>
  </module>
  <module name="Sort and filter particles"  type="PyAnalyse"  isEnabled="true" >
    <option name="filename"  type="string" >
<![CDATA[sort_filter_particles_script.py]]>    </option>
    <option name="script"  type="string" >
<![CDATA[]]>    </option>
    <option name="parameter"  type="string" >
<![CDATA[]]>    </option>
    <option name="class"  type="string" >
<![CDATA[]]>    </option>
    <userrecords>
      <entry name="Compilation Date"  type="string" >
<![CDATA[Sep 26 2010]]>      </entry>
      <entry name="Compilation Time"  type="string" >
<![CDATA[15:45:05]]>      </entry>
      <entry name="xPos"  type="double" >
146      </entry>
      <entry name="yPos"  type="double" >
58      </entry>
    </userrecords>
  </module>
  <connection>
    <source module="In"  name="out" >
    </source>
    <sink module="Sort and filter particles"  name="in" >
    </sink>
  </connection>
  <connection>
    <source module="Sort and filter particles"  name="out" >
    </source>
    <sink module="Out"  name="in" >
    </sink>
  </connection>
  <userrecords>
    <entry name="Author"  type="string" >
<![CDATA[hinzmann]]>    </entry>
    <entry name="Comment"  type="string" >
<![CDATA[Sorts particles in each event by pt and store sorted particles that are in the central detector region in new event-view

- Read Z->mumu input data
- In reconstructed event-view of each event, sort all particles by pt. Remove particles that have abs(eta) > 2.0, i.e. particles that are not in the central detector region. Save particles passing the requirements in new event-view named "Filtered"
- Write events to output file]]>    </entry>
    <entry name="Modification date"  type="string" >
<![CDATA[2012-04-13]]>    </entry>
    <entry name="Modification time"  type="string" >
<![CDATA[14:38:47]]>    </entry>
  </userrecords>
</analysis>
